import { DeserializedMessage } from './internal/message';
import { ChangeRequestCreateParams } from './internal/request';
interface Options {
    token?: string;
    autoOpen?: boolean;
    autoReconnect?: boolean;
    debug?: boolean;
}
export declare class ScrapboxWebsocketHandler {
    #private;
    constructor({ token, debug }: Options);
    close(): void;
    commit({ projectId, userId, pageId, parentId, changes, }: {
        projectId: string;
        userId: string;
        pageId: string;
        parentId: string;
        changes: ChangeRequestCreateParams[];
    }): Promise<DeserializedMessage>;
}
export {};
